import { OnInit, EventEmitter, AfterViewInit } from '@angular/core';
import { ChoiceDataElement } from '../../../core/elements/models/choice-data-element-model';
import { SelectedCondition } from '../../../core/models/executed-result.model';
import { FormGroup, FormBuilder } from '@angular/forms';
import { SimulatorEngineService } from '../../../core/services/simulator-engine.service';
export declare class AssistChoiceElementComponent implements OnInit, AfterViewInit {
    private formBuilder;
    private simulatorEngineService;
    choiceDataElement: ChoiceDataElement;
    imagePath: string;
    returnChoiceElement: EventEmitter<{}>;
    choiceChange: EventEmitter<{}>;
    choiceValue: string;
    choiceElementForm: FormGroup;
    selectedCondition: SelectedCondition;
    selectedIndex: number;
    selectedChoiceReportText: string;
    selectedChoiceReportLabel: string;
    constructor(formBuilder: FormBuilder, simulatorEngineService: SimulatorEngineService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    updateChoiceValue(elementId: string, selectedElement: string, selectedText: string, selectedValue: string): void;
    updateDropdownChoiceSelected(elementId: any, elementLabel: any, elementValue: any, selectedCondition: any): void;
    choiceSelected(elementId: string, selectedElement: string, selectedText: string, selectedValue: string): void;
    dropdownChoiceSelected(element: any, selectedCondition: any): void;
    private createChoiceElementForm();
    showOrHideFreeText(elementId: string, selectedValue: string): void;
    updateFreeText(element: any, elementId: any, selectedCondition: any): void;
    private specificValueInsideRange(checkBoxKey);
}
